---
sidebar_position: 1
slug: /
sidebar_label: What is Dagger?
---

# Dagger

Dagger is a programmable deployment system.

Using Dagger, software builders can automate the deployment of any application to any infrastructure,
in just a few lines of code.

![Dagger_Website_Ship](https://user-images.githubusercontent.com/216487/122216381-328a3500-ce61-11eb-907f-d2b6f66b3b10.png)

The Dagger platform adapts to your application, not the other way around.
Thanks to its ecosystem of reusable packages and flexible scripting system, Dagger can be dropped
into any software project without requiring changes to its architecture or workflow.
Think of it as your "devops superglue".

No matter how your deployment works under the hood, you can manage it with the same Dagger user interface.
This makes developers more productive, because they don't have to learn a new workflow every time their deployment
system changes.

## Dagger is alpha software

Warning! Dagger is _alpha-quality software_. It has many bugs, the user interface is minimal, and it may change in incompatible ways at any time. If you are still
willing to try it, thank you! We appreciate your help and encourage you to [ask
questions](https://github.com/dagger/dagger/discussions) and [report issues](https://github.com/dagger/dagger/issues).
