/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  tutorialSidebar: [
    { type: 'autogenerated', dirName: '.' },
    {
      type: 'category',
      label: 'Community',
      collapsed: false,
      items: [
        {
          type: 'link',
          label: 'Github',
          href: 'https://github.com/dagger/dagger'
        },
        {
          type: 'link',
          label: 'Discord',
          href: 'https://discord.gg/Rmffpmc'
        },
      ],
    },
  ],

  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['hello'],
    },
  ],
   */
};
